Summary: various geometric puzzles
Name: xpuzzles
Version: 5.4.1
Release: 2
Copyright: MIT
Group: X11/Games/Strategy
Source: ftp://sunsite.unc.edu/pub/Linux/games/strategy/xpuzzles-5.4.1.tgz
Patch: xpuzzles-5.4.1-install.patch

%changelog

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>

- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
An assortment of geometric puzzles and toys, including an electronic
version of Rubik's cube, and a "dinosaur cube" program.

%prep
%setup
%patch -p1

%build
make -f xpuzzles.Makefile xmkmf
make -f xpuzzles.Makefile

%install
make -f xpuzzles.Makefile install

cat > /etc/X11/wmconfig/xcubes <<EOF
xcubes name "xcubes"
xcubes description "xcubes"
xcubes group Games/Strategy
xcubes exec "xcubes &"
EOF

cat > /etc/X11/wmconfig/xdino <<EOF
xdino name "xdino"
xdino description "xdino"
xdino group Games/Strategy
xdino exec "xdino &"
EOF

cat > /etc/X11/wmconfig/xhexagons <<EOF
xhexagons name "xhexagons"
xhexagons description "xhexagons"
xhexagons group Games/Strategy
xhexagons exec "xhexagons &"
EOF

cat > /etc/X11/wmconfig/xmball <<EOF
xmball name "xmball"
xmball description "xmball"
xmball group Games/Strategy
xmball exec "xmball &"
EOF

cat > /etc/X11/wmconfig/xmlink <<EOF
xmlink name "xmlink"
xmlink description "xmlink"
xmlink group Games/Strategy
xmlink exec "xmlink &"
EOF

cat > /etc/X11/wmconfig/xoct <<EOF
xoct name "xoct"
xoct description "xoct"
xoct group Games/Strategy
xoct exec "xoct &"
EOF

cat > /etc/X11/wmconfig/xpanex <<EOF
xpanex name "xpanex"
xpanex description "xpanex"
xpanex group Games/Strategy
xpanex exec "xpanex &"
EOF

cat > /etc/X11/wmconfig/xpyraminx <<EOF
xpyraminx name "xpyraminx"
xpyraminx description "xpyraminx"
xpyraminx group Games/Strategy
xpyraminx exec "xpyraminx &"
EOF

cat > /etc/X11/wmconfig/xrubik <<EOF
xrubik name "xrubik"
xrubik description "xrubik"
xrubik group Games/Strategy
xrubik exec "xrubik &"
EOF

cat > /etc/X11/wmconfig/xskewb <<EOF
xskewb name "xskewb"
xskewb description "xskewb"
xskewb group Games/Strategy
xskewb exec "xskewb &"
EOF

cat > /etc/X11/wmconfig/xtriangles <<EOF
xtriangles name "xtriangles"
xtriangles description "xtriangles"
xtriangles group Games/Strategy
xtriangles exec "xtriangles &"
EOF

%files
%config /etc/X11/wmconfig/xcubes
%config /etc/X11/wmconfig/xdino
%config /etc/X11/wmconfig/xhexagons
%config /etc/X11/wmconfig/xmball
%config /etc/X11/wmconfig/xmlink
%config /etc/X11/wmconfig/xoct
%config /etc/X11/wmconfig/xpanex
%config /etc/X11/wmconfig/xpyraminx
%config /etc/X11/wmconfig/xrubik
%config /etc/X11/wmconfig/xskewb
%config /etc/X11/wmconfig/xtriangles

/usr/X11R6/bin/xpanex
/usr/X11R6/man/man1/xpanex.1
/usr/X11R6/bin/xrubik
/usr/X11R6/man/man1/xrubik.1
/usr/X11R6/bin/xskewb
/usr/X11R6/man/man1/xskewb.1
/usr/X11R6/bin/xdino
/usr/X11R6/man/man1/xdino.1
/usr/X11R6/bin/xpyraminx
/usr/X11R6/man/man1/xpyraminx.1
/usr/X11R6/bin/xoct
/usr/X11R6/man/man1/xoct.1
/usr/X11R6/bin/xmball
/usr/X11R6/man/man1/xmball.1
/usr/X11R6/bin/xcubes
/usr/X11R6/man/man1/xcubes.1
/usr/X11R6/bin/xtriangles
/usr/X11R6/man/man1/xtriangles.1
/usr/X11R6/bin/xhexagons
/usr/X11R6/man/man1/xhexagons.1
/usr/X11R6/bin/xmlink
/usr/X11R6/man/man1/xmlink.1
